<?php

namespace Schaffen\WarehouseInventory\WarehouseInventory\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\WarehouseInventory\WarehouseInventory\Traits\HasWarehouseInventory;

class AccountInventory extends Model
{
    use HasWarehouseInventory;

    const OUT = 0;
    const IN = 1;

    const CREATED_AT = "cc_date_insert";
    const CREATED_BY = "cc_user_insert";

    protected $connection = 'dynamicdb';
    protected $table = "movimentacao.conta_corrente";
    protected $primaryKey = "cc_codigo";
    protected $prefix = "cc";
    protected $fillable = [
        "cc_quantidade",
        "cc_valor_unitario",
        "cc_usuario_cancelamento",
        "cc_data_cancelamento",
        "cc_codigo_operacao",
        "cc_sentido",
        "cc_serial",
        "cc_fk_loe_codigo",
        "cc_fk_pve_codigo",
        "cc_fk_ope_codigo",
    ];
    public $timestamps = false;
}
